.custom-slider {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background-color: #000;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 0.6s ease-in-out;
  z-index: 1;
}

.slide.active {
  opacity: 1;
  z-index: 2;
}

.slide-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slide-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: 3;
}

.slide-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff;
  z-index: 4;
  width: 90%;
  max-width: 800px;
}

.slide-content h2 {
  font-size: 3rem;
  margin-bottom: 15px;
  font-weight: bold;
  text-transform: uppercase;
}

.slide-content p {
  font-size: 1.2rem;
  margin-bottom: 30px;
}

.btn-ver-mais {
  display: inline-block;
  padding: 12px 30px;
  background-color: var(--color-primary);
  color: #fff;
  text-decoration: none;
  font-size: 1.1rem;
  border-radius: 5px;
  transition: background 0.3s;
  transition: all .2s;
}

.btn-ver-mais:hover {
  transform: scale(1.06);
  transition: all .2s;
}

.slide-link-invisivel {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
}

.slider-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.3);
  color: white;
  border: none;
  padding: 15px 20px;
  font-size: 24px;
  cursor: pointer;
  z-index: 10;
  transition: background 0.3s;
  border-radius: 5px;
}

.slider-btn:hover {
  background: rgba(0, 0, 0, 0.8);
}

.slider-btn.prev {
  left: 20px;
}

.slider-btn.next {
  right: 20px;
}

#topics {
  background: var(--color-secondary);
}

#topics .content {
  padding: 64px 0;
}

#topics .content .items {
  display: grid;
  grid-template-columns: repeat(4, 2fr);
  gap: 46px;
}

#topics .content .items .item {
  display: flex;
  flex-direction: column;
  gap: 16px;
  align-items: center;
  justify-content: center;
  text-align: center;
  border: 2px solid var(--bg-secondary);
  border-radius: 8px;
  box-shadow: var(--shadow-default);
  padding: 16px 32px;
}

#topics .content .items .item i {
  color: var(--bg-primary);
  font-size: 64px;
}

#topics .content .items .item .texts {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

#topics .content .items .item .texts strong {
  color: var(--bg-primary);
  text-transform: uppercase;
  font-size: 18px;
}

#topics .content .items .item .texts p {
  color: var(--bg-primary);
  font-size: 15px;
  text-align: justify;
}

#highlights {}

#highlights .content {
  padding: 64px 0;
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-items: center;
  justify-content: center;
  width: 100%;
}

#highlights .content .titles strong {
  color: var(--color-primary);
  text-transform: uppercase;
  letter-spacing: 4px;
  font-size: 36px;
}

#highlights .content .highlights {
  display: grid;
  grid-template-columns: repeat(4, 2fr);
  gap: 32px;
  width: 100%;
}

#highlights .content .highlights .highlight {
  display: flex;
  flex-direction: column;
  gap: 16px;
  border: 1px solid var(--border-primary);
  padding: 12px;
  border-radius: 16px;
}

#highlights .content .highlights .highlight img {
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
}

#highlights .content .highlights .highlight .text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 6px;
}

#highlights .content .highlights .highlight .text a {
  text-decoration: none;
  color: var(--color-secondary);
  transition: all 0.2s;
  font-size: 18px;
}

#highlights .content .highlights .highlight .text a:hover {
  color: var(--color-primary);
  transition: all 0.2s;
}

#highlights .content .highlights .highlight .text a span {
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

#highlights .content .highlights .highlight .text p {
  font-size: 14px;
  color: var(--color-secondary);
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

#highlights .content .highlights .highlight .more {
  font-size: 12px;
  text-decoration: none;
  color: var(--color-primary);
  text-align: right;
}

#highlights .content .highlights .highlight .more:hover {
  text-decoration: underline;
}

#divider .divider {
  height: 1px;
  width: 100%;
  background: var(--border-primary);
  border-radius: 32px;
  opacity: 0.8;
}

#contact {
  background: var(--color-secondary);
}

#contact .content {
  padding: 64px 0;
  display: grid;
  grid-template-columns: repeat(2, 2fr);
  align-items: center;
  gap: 64px;
}

#contact .content .map {
  height: 380px;
  width: 100%;
  border-radius: 16px;
  border: 1px solid var(--border-primary);
  box-shadow: var(--shadow-default);
}

#contact .content .infos {
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-items: flex-start;
}

#contact .content .infos .texts {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

#contact .content .infos .texts strong {
  color: var(--color-tertiary);
  text-transform: uppercase;
  letter-spacing: 4px;
  font-size: 36px;
}

#contact .content .infos .texts p {
  color: white;
  line-height: 28px;
}

#contact .content .infos .contacts {
  display: flex;
  flex-direction: column;
  gap: 14px;
  color: white;
}

@media (max-width: 728px) {
  #topics .content .items {
    grid-template-columns: repeat(1, 2fr);
  }

  #highlights .content .highlights {
    grid-template-columns: repeat(1, 2fr);
  }

  #logos .content .logos {
    grid-template-columns: repeat(1, 2fr);
  }

  #banners .content .banners {
    grid-template-columns: repeat(1, 2fr);
  }

  #contact .content {
    grid-template-columns: repeat(1, 2fr);
  }
}